aboutsummaryrefslogtreecommitdiffstats
path: root/testing/tor/APKBUILD
diff options
context:
space:
mode:
authorSam Dodrill <shadow.h511@gmail.com>2013-09-02 11:17:47 -0700
committerNatanael Copa <ncopa@alpinelinux.org>2013-09-03 06:10:18 +0000
commitea8a8d1aa1208912fb1dbb2cfa8c6b1046438378 (patch)
tree6ca339422e36d60ef25baaf574ed21c5ee50ee2f /testing/tor/APKBUILD
parenta79cb4463ca5bd681640e40fc035f6fe08d14444 (diff)
downloadaports-ea8a8d1aa1208912fb1dbb2cfa8c6b1046438378.tar.gz
aports-ea8a8d1aa1208912fb1dbb2cfa8c6b1046438378.tar.bz2
aports-ea8a8d1aa1208912fb1dbb2cfa8c6b1046438378.tar.xz
testing/tor: new aport
Anonymous network connectivity https://www.torproject.org/ ref #1067
Diffstat (limited to 'testing/tor/APKBUILD')
-rw-r--r--testing/tor/APKBUILD66
1 files changed, 66 insertions, 0 deletions
diff --git a/testing/tor/APKBUILD b/testing/tor/APKBUILD
new file mode 100644
index 0000000000..61e9fcdd7c
--- /dev/null
+++ b/testing/tor/APKBUILD
@@ -0,0 +1,66 @@
+# Contributor: Sam Dodrill <shadow.h511@gmail.com>
+# Maintainer: Sam Dodrill <shadow.h511@gmail.com>
+pkgname=tor
+pkgver=0.2.3.25
+pkgrel=0
+pkgdesc="Anonymous network connectivity"
+url="https://www.torproject.org"
+arch="all"
+license="BSD"
+pkgusers="tor"
+depends=""
+depends_dev="bash libevent-dev openssl-dev ca-certificates"
+makedepends="$depends_dev"
+install="$pkgname.pre-install"
+subpackages="$pkgname-doc"
+source="
+ https://www.torproject.org/dist/$pkgname-$pkgver.tar.gz
+ tor.initd
+ tor.confd
+ "
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+
+ install -m755 -D "$srcdir"/$pkgname.initd \
+ "$pkgdir"/etc/init.d/$pkgname || return 1
+ install -m644 -D "$srcdir"/$pkgname.confd \
+ "$pkgdir"/etc/conf.d/$pkgname || return 1
+}
+
+md5sums="a1c364189a9a66ed9daa8e6436489daf tor-0.2.3.25.tar.gz
+a751084ac153270c03a3a5b02a337999 tor.initd
+cbcac88f5b728b1441891947a4babbcb tor.confd"
+sha256sums="bb2d6f1136f33e11d37e6e34184143bf191e59501613daf33ae3d6f78f3176a0 tor-0.2.3.25.tar.gz
+17340bc8f05632082b0c25e3deeff9836eeea412786ad525b5900d9cb083d3a9 tor.initd
+7d9e1125577252206d09e43c387fcfd8996115b46ac5d7f6ca3e46ef47316e98 tor.confd"
+sha512sums="c15f9356abc41bd1c663d37e674386debc29b0a5887e1120a0318ffb97ada1a04d57756175f01f13549f179f73916e2af18566575a656154ff71ec050fc99651 tor-0.2.3.25.tar.gz
+7ee767caaa874bd8b8b102ab93b08138aaebf0fee396e530bd89b4e1c982c617a6647c438a0c80c3da2a33fc24085336c2d3c87359774d89b7901cdaa02ad237 tor.initd
+f11f0d192cd7823307c2ce4ddc7b3fff5190f72d3f65a5524b487021a95a222aca1fd36ab1eb58ed533e7acd555bfb70f0c8a13db20338ea31527f3151fd2bd7 tor.confd"